function status_update(stat_str) {
	var stat_el = document.getElementById("status");
	stat_el.innerHTML = stat_str;
}

function install() {
	status_update("Installing");
	var app = navigator.mozApps.install("http://pomo.cascardo.info/pomo.webapp");
	app.onsuccess = function() {
		status_update("Application installed now");
	}
	app.onerror = function() {
		status_update("Error installing app: " + app.error.name);
	}
}

function check_install() {
	var app = navigator.mozApps.getSelf();
	app.onsuccess = function() {
		if (app.result) {
			status_update("Installed");
		} else {
			status_update("Not Installed");
			install();
		}
	};
	app.onerror = function() {
		var stat = document.getElementById("status");
		status_update("Installing app not supported");
		status_update("Skipping installation");
	};
}
check_install();
